/*
 *	Electron Soccer Music Abstraction Layer
 *  coded by yole 30.11.2001
 *
 * Electron Soccer can use any sound/music library capable of playing
 * raw samples and music in XM format. Old versions used MIDAS; the
 * latest version uses FMOD. You can easily adapt the code to use
 * any other library.
 */

#ifndef EL_MUSIC_H
#define EL_MUSIC_H

extern int NOSOUND;
extern int NOMUSIC;

enum ElSampleIndex {
	SAMPLE_HIT,
	SAMPLE_HIT1,
	SAMPLE_SELECT,
	SAMPLE_LAST
};

void ElInitMusic();
void ElLoadMusic();
void ElShutdownMusic();
void ElPlaySample (ElSampleIndex sampleIndex, int rate);

#endif